%bcond_with qt_embedded
%bcond_with kapabilities

%define rel %nil
Name:		qtparted
Version:	0.6.0
Summary:	Graphical Partitioning Tool
URL:		http://qtparted.sf.net/
%if "%rel" != ""
Release:	0.%rel.1
Source:		qtparted-%rel.tar.xz
%else
Release:	1
Source:		http://freefr.dl.sourceforge.net/project/qtparted/qtparted-%version/qtparted-%version.tar.xz
%endif
Source10:	qtparted.pamd
Source11:	qtparted.pam
License:	GPL
Group:		System/Kernel and hardware
Requires:	qtparted-data = %version-%release
Provides:	%name-ui = %version-%release
BuildRequires:	pkgconfig(QtCore) pkgconfig(QtGui) pkgconfig(libparted) cmake

%description
QtParted is a graphical partition editor, similar to PartitionMagic(tm).

%package data
Summary: Data files common to qtparted and qtparted-nox
Requires: %name-ui = %version-%release
Group: System/Kernel and hardware
BuildArch: noarch

%description data
%summary

%package nox
Summary: A version of the QtParted partition editor that runs without X11
Requires: %name-data = %version-%release
Group: System/Kernel and hardware
Provides: %name-ui = %version-%release

%description nox
A version of the QtParted partition editor that runs without X11

%prep
%if "%rel" != ""
%setup -q -n qtparted
%else
%setup -q -n %name-%version
%endif

%build
# Actual build happens in %%install so we can install 2 different copies
# (linked against Qt-X11 and Qt-Embedded)

%install
%if %{with qt_embedded}
cmake -DQT_QMAKE_EXECUTABLE=%_libdir/qt4-embedded/bin/qmake -DQT_RPATH:BOOL=TRUE -DCMAKE_INSTALL_PREFIX=%_prefix .
make %?_smp_mflags

make install DESTDIR="$RPM_BUILD_ROOT"
make clean
find . -name "CMakeCache.txt" |xargs rm -f
mv $RPM_BUILD_ROOT%_bindir/%name $RPM_BUILD_ROOT%_bindir/%name-nox
%endif


cmake -DCMAKE_INSTALL_PREFIX=%_prefix .
make %?_smp_mflags

make install DESTDIR="$RPM_BUILD_ROOT"

%if %{with kapabilities}
# pam/kapabilities support
mkdir -p %{buildroot}%{_sbindir}
mv %buildroot%_bindir/* %buildroot%_sbindir
mkdir -p %{buildroot}%{_bindir}
ln -s consolehelper %{buildroot}%{_bindir}/qtparted
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 -D %{SOURCE10} %{buildroot}%{_sysconfdir}/pam.d/qtparted
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
install -m 644 -D %{SOURCE11} %{buildroot}%{_sysconfdir}/security/console.apps/qtparted
%endif

%files
%defattr(-,root,root)
%if %{with kapabilities}
%{_sbindir}/qtparted
%config(noreplace) %{_sysconfdir}/pam.d/*
%config(noreplace) %{_sysconfdir}/security/console.apps/*
%endif
%{_bindir}/*
%{_datadir}/applications/*

%files data
%defattr(-,root,root)
%{_datadir}/%name
%{_datadir}/pixmaps/*

%if %{with qt_embedded}
%files nox
%defattr(-,root,root)
%_sbindir/qtparted-nox
%endif

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sat Apr 07 2012 Bernhard Rosenkraenzer <bero@bero.eu> 0.6.0-1
+ Revision: 789741
- import qtparted


* Thu Feb 15 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.4.5-6mdv2007.0
+ Revision: 121543
- bump
- cleanups
- from Jos?\195?\169 Melo <mmodem00@gmail.com>
  o Create menu entry
  o Help with consolehelper to run

* Fri Jan 26 2007 Pixel <pixel@mandriva.com> 0.4.5-5mdv2007.1
+ Revision: 113692
- rebuild for libparted-1.8.so.2

* Mon Jan 22 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.4.5-4mdv2007.1
+ Revision: 112061
- Add Patch1: Fix automake detection
- Rebuild to fix bug #27944

  + Jérôme Soyer <saispo@mandriva.org>
    - Rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild for new parted (#26564)

* Wed Jul 12 2006 Olivier Blin <oblin@mandriva.com> 0.4.5-1mdv2007.0
+ Revision: 38789
- use makeinstall_std again
- parted 1.7.x support, adapted from CVS
- use a more classical fields layout in spec file
- drop duplicated BuildRequires
- run autoreconf not to use unsermake
- 0.4.5
- use BuildRequires instead of BuildPrereq
- fix configure script options on i586 (it broke build)
- import qtparted-0.4.4-6mdk

  + Helio Chissini de Castro <helio@mandriva.com>
    - Fix qt detection on x86_6
    - Rebuild the buildsystem to avoid wrong unsermake requires

* Mon Feb 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.4-6mdk
- Fix Build for amd64

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.4-5mdk
- BuildRequires fix

* Mon Oct 03 2005 Olivier Blin <oblin@mandriva.com> 0.4.4-4mdk
- rebuild for parted-1.6.24

* Tue Nov 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.4-3mdk
- relink with new libparted-1.6.so.12 library (#12334)

* Sat Jun 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.4-2mdk
- REbuild

* Wed May 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.4-1mdk
- 0.4.4

